Software Requirements

German Literature Collections is optimised to operate with Netscape Navigator Version 4.0 or higher, or Microsoft Internet Explorer Version 4.0 or higher. Use of one of these browsers is strongly recommended.

You can download Netscape Navigator and Microsoft Internet Explorer by clicking on the following icons:

Download Netscape Navigator Download Internet Explorer

Back to the More Information Index.

Close this window

Send your suggestions, comments or queries to our Webmaster.
All rights reserved. View our Privacy policy.